Loading...
Searching...
No Matches
osmo_phsap_prim Struct Reference

primitive header for PH-SAP primitives More...

`#include <l1sap.h>`

## Data Fields

struct osmo_prim_hdr | oph
| generic primitive header
union { |
struct ph_data_param data |
struct ph_tch_param tch |
struct ph_rach_req_param rach_req |
struct ph_rach_ind_param rach_ind |
struct ph_conn_ind_param conn_ind |
struct mph_info_param info |
} | u
| request-specific data

## Detailed Description

primitive header for PH-SAP primitives

## Field Documentation

## conn_ind

struct ph_conn_ind_param osmo_phsap_prim::conn_ind

## data

struct ph_data_param osmo_phsap_prim::data

Referenced by lapdm_phsap_dequeue_prim_fn(), lapdm_phsap_up(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## info

struct mph_info_param osmo_phsap_prim::info

## oph

struct osmo_prim_hdr osmo_phsap_prim::oph

generic primitive header

Referenced by l2_ph_data_conf(), lapdm_phsap_dequeue_prim_fn(), lapdm_phsap_up(), rslms_rx_chan_rqd(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## rach_ind

struct ph_rach_ind_param osmo_phsap_prim::rach_ind

Referenced by lapdm_phsap_up().

## rach_req

struct ph_rach_req_param osmo_phsap_prim::rach_req

Referenced by rslms_rx_chan_rqd().

## tch

struct ph_tch_param osmo_phsap_prim::tch

## [union]

union { ... } osmo_phsap_prim::u

request-specific data

Referenced by lapdm_phsap_dequeue_prim_fn(), lapdm_phsap_up(), rslms_rx_chan_rqd(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/l1sap.h